package com.jxdinfo.hussar.core.bouncycastle.asn1.sec;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObjectIdentifier;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.AUX;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.AUx;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.AuX;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.Aux;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.CON;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.COn;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.CoM2;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.CoN;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.Con;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.NUL;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.NUl;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.NuL;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.Nul;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.PRN;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.PRn;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.PrN;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.Prn;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.SECObjectIdentifiers;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.aUX;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.aUx;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.auX;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.aux;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.cOM2;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.cON;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.cOn;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.coN;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.con;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.nUL;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.nUl;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.nuL;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.nul;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.pRN;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.prN;
import com.jxdinfo.hussar.core.bouncycastle.asn1.sec.prn;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.X9ECParameters;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.X9ECParametersHolder;
import com.jxdinfo.hussar.core.bouncycastle.jce.ECGOST3410NamedCurveTable;
import com.jxdinfo.hussar.core.bouncycastle.util.Strings;
import com.jxdinfo.hussar.core.bouncycastle.util.encoders.Hex;
import com.jxdinfo.hussar.core.util.PingYinUtil;
import java.math.BigInteger;
import java.util.Enumeration;
import java.util.Hashtable;

public class SECNamedCurves {
  static X9ECParametersHolder r;
  
  static X9ECParametersHolder s;
  
  static X9ECParametersHolder N;
  
  static X9ECParametersHolder Y;
  
  static X9ECParametersHolder Q;
  
  static X9ECParametersHolder U;
  
  static X9ECParametersHolder w;
  
  static X9ECParametersHolder Z;
  
  static X9ECParametersHolder O;
  
  static X9ECParametersHolder B;
  
  static X9ECParametersHolder M;
  
  static X9ECParametersHolder K;
  
  static X9ECParametersHolder E;
  
  static X9ECParametersHolder A;
  
  static X9ECParametersHolder b;
  
  static X9ECParametersHolder m;
  
  static X9ECParametersHolder f;
  
  static X9ECParametersHolder a;
  
  static X9ECParametersHolder H;
  
  static X9ECParametersHolder d;
  
  static X9ECParametersHolder l;
  
  static X9ECParametersHolder c = (X9ECParametersHolder)new PRn();
  
  static final Hashtable L;
  
  static X9ECParametersHolder k;
  
  static X9ECParametersHolder g;
  
  static X9ECParametersHolder D;
  
  static X9ECParametersHolder h;
  
  static X9ECParametersHolder i;
  
  static X9ECParametersHolder I;
  
  static X9ECParametersHolder J;
  
  static X9ECParametersHolder F;
  
  static X9ECParametersHolder j;
  
  static X9ECParametersHolder G;
  
  static final Hashtable C;
  
  static final Hashtable e;
  
  static X9ECParametersHolder return;
  
  static void extends(String a, DERObjectIdentifier dERObjectIdentifier, X9ECParametersHolder x9ECParametersHolder) {
    C.put(dERObjectIdentifier, x9ECParametersHolder);
    e.put(dERObjectIdentifier, a);
  }
  
  public static DERObjectIdentifier getOID(String a) {
    return (DERObjectIdentifier)L.get(Strings.toLowerCase(a));
  }
  
  public static String getName(DERObjectIdentifier a) {
    return (String)e.get(a);
  }
  
  public static X9ECParameters getByOID(DERObjectIdentifier a) {
    X9ECParametersHolder x9ECParametersHolder;
    if ((x9ECParametersHolder = (X9ECParametersHolder)C.get(a)) != null)
      return x9ECParametersHolder.getParameters(); 
    while (true)
      return null; 
  }
  
  public static X9ECParameters getByName(String a) {
    DERObjectIdentifier dERObjectIdentifier;
    if ((dERObjectIdentifier = (DERObjectIdentifier)L.get(Strings.toLowerCase(a))) != null)
      return getByOID(dERObjectIdentifier); 
    while (true)
      return null; 
  }
  
  static {
    M = (X9ECParametersHolder)new NuL();
    D = (X9ECParametersHolder)new NUL();
    K = (X9ECParametersHolder)new CoN();
    i = (X9ECParametersHolder)new AUx();
    f = (X9ECParametersHolder)new Nul();
    A = (X9ECParametersHolder)new Con();
    Q = (X9ECParametersHolder)new Prn();
    B = (X9ECParametersHolder)new aUX();
    G = (X9ECParametersHolder)new PRN();
    J = (X9ECParametersHolder)new pRN();
    Y = (X9ECParametersHolder)new CoM2();
    m = (X9ECParametersHolder)new PrN();
    g = (X9ECParametersHolder)new cOM2();
    O = (X9ECParametersHolder)new prN();
    a = (X9ECParametersHolder)new cOn();
    j = (X9ECParametersHolder)new AUX();
    r = (X9ECParametersHolder)new CON();
    return = (X9ECParametersHolder)new auX();
    s = (X9ECParametersHolder)new nUl();
    F = (X9ECParametersHolder)new nul();
    k = (X9ECParametersHolder)new nuL();
    H = (X9ECParametersHolder)new COn();
    h = (X9ECParametersHolder)new cON();
    I = (X9ECParametersHolder)new nUL();
    E = (X9ECParametersHolder)new aux();
    U = (X9ECParametersHolder)new NUl();
    w = (X9ECParametersHolder)new AuX();
    d = (X9ECParametersHolder)new prn();
    N = (X9ECParametersHolder)new coN();
    l = (X9ECParametersHolder)new con();
    Z = (X9ECParametersHolder)new aUx();
    b = (X9ECParametersHolder)new Aux();
    L = new Hashtable<Object, Object>();
    C = new Hashtable<Object, Object>();
    e = new Hashtable<Object, Object>();
    extends(ECGOST3410NamedCurveTable.package("Y\025N\004\030V\b\003\035"), (DERObjectIdentifier)SECObjectIdentifiers.secp112r1, c);
    extends(PingYinUtil.enum("V\tA\033\024G\nN@"), (DERObjectIdentifier)SECObjectIdentifiers.secp112r2, M);
    extends(ECGOST3410NamedCurveTable.package("Y\025N\004\030U\002\003\035"), (DERObjectIdentifier)SECObjectIdentifiers.secp128r1, D);
    extends(PingYinUtil.enum("V\tA\033\024D\000N@"), (DERObjectIdentifier)SECObjectIdentifiers.secp128r2, K);
    extends(ECGOST3410NamedCurveTable.package("Y\025N\004\030Q\n\032\035"), (DERObjectIdentifier)SECObjectIdentifiers.secp160k1, i);
    extends(PingYinUtil.enum("V\tA\033\024@\bNC"), (DERObjectIdentifier)SECObjectIdentifiers.secp160r1, f);
    extends(ECGOST3410NamedCurveTable.package("Y\025N\004\030Q\n\003\036"), (DERObjectIdentifier)SECObjectIdentifiers.secp160r2, A);
    extends(PingYinUtil.enum("V\tA\033\024O\nWC"), (DERObjectIdentifier)SECObjectIdentifiers.secp192k1, Q);
    extends(ECGOST3410NamedCurveTable.package("Y\025N\004\030^\b\003\035"), (DERObjectIdentifier)SECObjectIdentifiers.secp192r1, B);
    extends(PingYinUtil.enum("V\tA\033\027D\fWC"), (DERObjectIdentifier)SECObjectIdentifiers.secp224k1, G);
    extends(ECGOST3410NamedCurveTable.package("Y\025N\004\033U\016\003\035"), (DERObjectIdentifier)SECObjectIdentifiers.secp224r1, J);
    extends(PingYinUtil.enum("V\tA\033\027C\016WC"), (DERObjectIdentifier)SECObjectIdentifiers.secp256k1, Y);
    extends(ECGOST3410NamedCurveTable.package("Y\025N\004\033R\f\003\035"), (DERObjectIdentifier)SECObjectIdentifiers.secp256r1, m);
    extends(PingYinUtil.enum("V\tA\033\026N\fNC"), (DERObjectIdentifier)SECObjectIdentifiers.secp384r1, g);
    extends(ECGOST3410NamedCurveTable.package("Y\025N\004\034U\013\003\035"), (DERObjectIdentifier)SECObjectIdentifiers.secp521r1, O);
    extends(PingYinUtil.enum("V\tA\037\024G\013NC"), (DERObjectIdentifier)SECObjectIdentifiers.sect113r1, a);
    extends(ECGOST3410NamedCurveTable.package("Y\025N\000\030V\t\003\036"), (DERObjectIdentifier)SECObjectIdentifiers.sect113r2, j);
    extends(PingYinUtil.enum("V\tA\037\024E\tNC"), (DERObjectIdentifier)SECObjectIdentifiers.sect131r1, r);
    extends(ECGOST3410NamedCurveTable.package("Y\025N\000\030T\013\003\036"), (DERObjectIdentifier)SECObjectIdentifiers.sect131r2, return);
    extends(PingYinUtil.enum("V\tA\037\024@\013WC"), (DERObjectIdentifier)SECObjectIdentifiers.sect163k1, s);
    extends(ECGOST3410NamedCurveTable.package("Y\025N\000\030Q\t\003\035"), (DERObjectIdentifier)SECObjectIdentifiers.sect163r1, F);
    extends(PingYinUtil.enum("V\tA\037\024@\013N@"), (DERObjectIdentifier)SECObjectIdentifiers.sect163r2, k);
    extends(ECGOST3410NamedCurveTable.package("Y\025N\000\030^\t\003\035"), (DERObjectIdentifier)SECObjectIdentifiers.sect193r1, H);
    extends(PingYinUtil.enum("V\tA\037\024O\013N@"), (DERObjectIdentifier)SECObjectIdentifiers.sect193r2, h);
    extends(ECGOST3410NamedCurveTable.package("Y\025N\000\033T\t\032\035"), (DERObjectIdentifier)SECObjectIdentifiers.sect233k1, I);
    extends(PingYinUtil.enum("V\tA\037\027E\013NC"), (DERObjectIdentifier)SECObjectIdentifiers.sect233r1, E);
    extends(ECGOST3410NamedCurveTable.package("Y\025N\000\033T\003\032\035"), (DERObjectIdentifier)SECObjectIdentifiers.sect239k1, U);
    extends(PingYinUtil.enum("V\tA\037\027N\013WC"), (DERObjectIdentifier)SECObjectIdentifiers.sect283k1, w);
    extends(ECGOST3410NamedCurveTable.package("Y\025N\000\033_\t\003\035"), (DERObjectIdentifier)SECObjectIdentifiers.sect283r1, d);
    extends(PingYinUtil.enum("V\tA\037\021F\001WC"), (DERObjectIdentifier)SECObjectIdentifiers.sect409k1, N);
    extends(ECGOST3410NamedCurveTable.package("Y\025N\000\035W\003\003\035"), (DERObjectIdentifier)SECObjectIdentifiers.sect409r1, l);
    extends(PingYinUtil.enum("V\tA\037\020A\tWC"), (DERObjectIdentifier)SECObjectIdentifiers.sect571k1, Z);
    extends(ECGOST3410NamedCurveTable.package("Y\025N\000\034P\013\003\035"), (DERObjectIdentifier)SECObjectIdentifiers.sect571r1, b);
  }
  
  public static Enumeration getNames() {
    return L.keys();
  }
}
